Jump to content
  • 0

Не хватает памяти на компоненты 2.16. В 2.13 хватало


mk202
 Share

Question

Добрый день, уважаемые.

Надысь перелез на 2.16 с 2.08 только для того, чтобы включить Обход блокировок.

Ранее год назад ставил необходимый набор в версию 2.13 памяти хватало, обход блокировок работал.

Сейчас пытаюсь завести всё снова, но компонент "Пакет расширений Xtables-addon для Netfilter""не лезет". Не хватает памяти.

Из установленных компонентов удалять нечего не могу. Остался самый минимум. Там итак практически пусто.

Можно ли как-то "поставить версию 2.16 на диету", чтобы "похудела"?

 

 

Link to comment
Share on other sites

Recommended Posts

  • 0
2 минуты назад, mk202 сказал:

Добрый день, уважаемые.

Надысь перелез на 2.16 с 2.08 только для того, чтобы включить Обход блокировок.

Ранее год назад ставил необходимый набор в версию 2.13 памяти хватало, обход блокировок работал.

Сейчас пытаюсь завести всё снова, но компонент "Пакет расширений Xtables-addon для Netfilter""не лезет". Не хватает памяти.

Из установленных компонентов удалять нечего не могу. Остался самый минимум. Там итак практически пусто.

Можно ли как-то "поставить версию 2.16 на диету", чтобы "похудела"?

 

 

Компоненты удалите все ненужные может и влезет. Со времен 2.08 прошивка сильно "распухла"

Link to comment
Share on other sites

  • 0

Теоретически, наверное, можно было бы разрешить установку некоторых компонентов на подключенную флэшку. Но в целом такое решение может вызвать критические проблемы со стабильностью.

А в целом ждать каких-то глобальных нововведений в 2.16 наверное не стоит. Скоро выйдет новая версия 2.16 которая будет ещё немножко жирнее за счёт добавления кодирования ChapChap20...

Edited by keenet07
Link to comment
Share on other sites

  • 0
1 минуту назад, T@rkus сказал:

Компоненты удалите все ненужные может и влезет. Со времен 2.08 прошивка сильно "распухла"

Ненужных нет.

Link to comment
Share on other sites

  • 0
1 минуту назад, keenet07 сказал:

Теоретически, наверное, можно было бы разрешить установку некоторых компонентов на подключенную флэшку. Но в целом такое решение может вызвать критические проблемы со стабильностью.

У меня не флэшка, а внешний жёсткий диск 2.5"

Link to comment
Share on other sites

  • 0
1 минуту назад, mk202 сказал:

У меня не флэшка, а внешний жёсткий диск 2.5"

Без разницы. Но всё-равно пока так сделать нельзя. Это скорее просьба к программистам.

Link to comment
Share on other sites

  • 0
Только что, r13 сказал:

Раз нет не нужных, идите на 2.11

Там обход блокировок работать не будет. В условиях использования написано.

Link to comment
Share on other sites

  • 0
1 минуту назад, mk202 сказал:

Там обход блокировок работать не будет. В условиях использования написано.

По возможности не плохо было бы проапгрейдить железку, хотя бы до какой-нибудь недорогой, но современной модели. А старую использовать как-то ещё. Может быть как дополнительную точку доступа.

Edited by keenet07
Link to comment
Share on other sites

  • 0
5 минут назад, keenet07 сказал:

хотя бы до какой-нибудь недорогой, но современной модели.

Причём с >= 32МБ FLASH.

Edited by drugold
Link to comment
Share on other sites

  • 0
2 минуты назад, drugold сказал:

Причём с >= 32МБ FLASH.

Этот путь понятен. У меня как раз 32МБ. Туда "не лезет" Т.е. надо память >(больше) 32 FLASH

Link to comment
Share on other sites

  • 0
10 минут назад, mk202 сказал:

Там обход блокировок работать не будет. В условиях использования написано.

В вашем варианте если хотите 2.16 и выше только покупка нового устройства. Если не нужна сеть 5 Ггц то KN-1410 на нем хотя бы 16 мб флешка и то на этот объем как я выше уже писал не все влезает.

Link to comment
Share on other sites

  • 0
5 минут назад, mk202 сказал:

Этот путь понятен. У меня как раз 32МБ. Туда "не лезет" Т.е. надо память >(больше) 32 FLASH

32 делите на два т.к на всех новых моделях Dual Boot то есть под прошивку 16.

Edited by T@rkus
Link to comment
Share on other sites

  • 0
16 минут назад, mk202 сказал:

Мощный совет.

2.16D полностью построена на личной инициативе и поддержке одного разработчика @Le ecureuil, так как официальная поддержка у этих устройств закончилась, со всеми вытекающими...

Link to comment
Share on other sites

  • 0
1 минуту назад, Mamay сказал:

2.16D полностью построена на личной инициативе и поддержке одного разработчика @Le ecureuil, так как официальная поддержка у этих устройств закончилась, со всеми вытекающими...

Я бы перелез на 3.ХХ но моя модель не заявлена в участники.

Link to comment
Share on other sites

  • 0
1 минуту назад, mk202 сказал:

 Я не в курсе математики DUAL Boot. Где почитать?

Только под знаком "?" в характеристике Flash-память, Dual Boot  каждой модели

например, https://keenetic.ru/ru/keenetic-giga

 

Link to comment
Share on other sites

  • 0
12 минуты назад, drugold сказал:

А у моделей Кинетиков II-III поколений разве тоже Dual Boot заявлен в 2.16?

На старых моделях его не было. Всё указано в характеристиках на каждую модель.

Врядли кто-то обрадовался бы двухкратному уменьшению памяти в текущей модели.

Edited by keenet07
Link to comment
Share on other sites

  • 0
30 минут назад, mk202 сказал:

Вижу один разумный выход установить 2.13 и попытаться побороть "нескрывемость" SSID.

А вариант поудалять всё лишнее в компонентах keen os 2.16  вы не рассматриваете? можно много места освободить если оставить только используемые компоненты.

Edited by krass
Link to comment
Share on other sites

  • 0
2 минуты назад, krass сказал:

А вариант поудалять всё лишнее в компонентах вы не рассматриваете? можно много места освободить если оставить только используемые компоненты.

 

Link to comment
Share on other sites

  • 0
3 минуты назад, keenet07 сказал:

 

Засада, потому и предпочитаю брать флагманы, чтоб устройство внезапно не "отыквилось"...

Edited by krass
Link to comment
Share on other sites

  • 0
13 минуты назад, krass сказал:

Засада, потому и предпочитаю брать флагманы, чтоб устройство внезапно не "отыквилось"..

Тут Омни 2. Это древний экспонат. Актуальный Омни проблем с памятью не имеет, хоть и не флагман. Хотя T@rkus и 16 мегабайт не хватает. Мне хватает. Хотя на 3.4 возможно начнётся коллапс.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Answer this question...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...